Terug

WordPress 5.0

Samenvatting

Belangrijk! – Studio September gaat vanaf Q2 2019 (medio maart) websites updaten naar WordPress 5.0 en gaat tot die tijd de meest recente versie van WordPress 4.x aanhouden. We gaan bestaande sites niet automatisch gebruik laten van de nieuwe Gutenberg editor maar hiervoor de ‘Classic editor’ installeren. Vanaf december 2018 leveren we tot december 2022 support op de bestaande Classic editor via WordPress. Als je een bestaande website van ons gebruik wil laten maken van de Gutenberg editor, vereist dat een (soms ingrijpend) nieuwbouw traject.

Goed. Wat is er aan de hand, en waarom is dat relevant?

WordPress heeft sinds vorige week een nieuwe release uitgebracht, WordPress 5.0, welke op sommige vlakken controversieel is voor een groot deel van de WordPress community. Dit komt niet eens per se door de grote, nieuwe, functionaliteit die er in zit –  maar vooral door de manier waarop de update is gedaan en de rol van Automattic (het bedrijf achter WordPress.com, Woocommerce en nog veel meer) daar in.

Gutenberg

De grote, nieuwe, functionaliteit is vooral Gutenberg, de nieuwe editor waarmee je veel meer vrijheid krijgt in WordPress. De editor biedt meerdere ‘blocks’ aan waarmee je een bericht of pagina kunt opbouwen. Je voegt bijvoorbeeld een block toe voor een alinea, opsomming, een foto of een fotogallerij. Dit is significant anders dan de huidige ‘Classic editor’.

ACF / WPML

De belangrijkste plugins (Advanced Custom Fields en WPML) bieden momenteel nog geen ondersteuning voor 5.0. Dit komt doordat WordPress op het laatste moment ingrijpende wijzigingen heeft gedaan waardoor de plugins niet meer compatible waren. De verwachting is dat ACF en WPML in Q1 hun plugins werkend hebben voor 5.0.

Accessibility

Een groot probleem met WordPress 5.0 is het feit dat de editor niet echt meer toegankelijk is voor personen met een visuele of auditieve handicap, het is niet meer ‘drempelvrij’. De projectleiders achter WordPress (inclusief Automaticc) hebben geen prioriteit gegeven aan een zogeheten ‘Accessibility Audit’ waardoor op een goede manier gecontroleerd wordt waar er verbeteringen met betrekking tot toegankelijkheid nodig zijn. Er zijn geruchten dat het in de toekomst wel gaat plaatsvinden maar tot die tijd is de nieuwe editor nauwelijks toegankelijk.

Ons update en security plan

WordPress 5.0?

Als je bij ons een Support & Service contract hebt gaat je opvallen dat wij voorlopig nog niet gaan updaten naar WordPress 5.0. Dat heeft te maken met dat vele plugins hier nog niet klaar voor zijn en wij daarmee de kat uit de boom gaan kijken tot en met het begin van Q2 2019 – medio maart. Zodra wij zeker weten dat bijvoorbeeld ACF en WPML doorgetest zijn, gaan wij in 1x al onze sites upgraden naar WordPress 5.0.

Tot die tijd blijven wij op 4.x, waarbij we zoals je gewend bent elke woensdag naar de meest recente versie updaten. Je ontvangt dus alle security updates die er nodig zijn.

Gutenberg?

Als je nu een site bij ons in onderhoud hebt, blijf je in de basis tot 2022 gebruik maken van de ‘Classic editor’. De wijzigingen van deze ‘bestaande’ editor naar de nieuwste zijn zo ingrijpend voor de website dat wij hier nieuwbouw voor moeten plegen, die daarnaast ook nog eens een groot effect kan hebben om de look en feel van de website. Ook kunnen we niet garanderen dat alles nog werkt, of per se courant is met de nieuwste functionaliteit die in 5.x gaat zitten.

En een heel nieuw project?

Afhankelijk van hoe het gaat met Gutenberg (gaan mensen het oppikken en gaat het project niet alsnog verlaten worden later in 2019?) verwachten wij in Q1 of Q2 de eerste projecten te gaan bouwen in WordPress 5.0 en de nieuwe Gutenberg editor. Het kan zijn dat we bij specifieke wensen bij sommige projecten al eerder gaan overstappen.

Nog vragen? Angsten?

Bel ons gewoon even op, of stuur een e-mail. We leggen je graag meer uit.

Meteen contact? Bel ons en spreek direct één van onze supportmedewerkers.

030 877 50 25 support@studioseptember.nl
LogoSupport mail_icon phone_icon